# dosfstools.spec
%define version 2.4
%define release 1mdk

Summary: Utilities to create and check MS-DOS FAT filesystems.
Name: dosfstools
Source: ftp://ftp.uni-erlangen.de/pub/Linux/LOCAL/dosfstools/%{name}-%{version}.src.tar.bz2
Version: %{version}
Release: %{release}
Copyright: GPL
Group: File tools
Prefix: %{_prefix}
Obsoletes: mkdosfs-ygg
BuildRoot: /var/tmp/%{name}-buildroot
ExclusiveArch: i386 i486 i586 i686 k6 k7 ppc

%description
Inside of this package there are two utilities to create and to
check MS-DOS FAT filesystems on either harddisks or floppies under
Linux.  This version uses the enhanced boot sector/superblock
format of DOS 3.3+ as well as provides a default dummy boot sector
code.

%changelog
* Fri Mar 31 2000 Franois Pons <fpons@mandrakesoft.com> 2.4-1mdk
- updated Group.
- 2.4.

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 2.2-7mdk
- Added PPC support

* Mon Jan 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2-6mdk
- ExclusiveArch x86.

* Wed Dec 01 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Thu Aug 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Stripping again (#60).
- Fix defatttr root,root.

* Mon Aug  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Remove fsck.* to don't have a fsck on vfat on boot (Maybe we can
  do a port of scandisk on linux ;) )
 
* Thu Jul  8 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Rewriting the .spec files to obsoletes mkdosfs-ygg for new dosfstools.
- initialization of spec file.
- 2.2 :
 - Added dosfsck/COPYING, putting dosfsck officially under GPL (Werner
   and I agree that it should be GPL).
 - mkdosfs: Allow creation of a 16 bit FAT on filesystems that are too
   small for it if the user explicitly selected FAT16 (but a warning
   is printed). Formerly, you got the misleading error message "make
   the fs a bit smaller".
 - dosfsck: new option -y as synonym for -y; for compability with
   other fs checkers, which also accept this option.
 - dosfsck: Now prints messages similar to e2fsck: at start version
   and feature list; at end number of files (and directories) and
   number of used/total clusters. This makes the printouts of *fsck at
   boot time nicer.
 - dosfsck: -a (auto repair) now turns on -f (salvage files), too. -a
   should act as non-destructive as possible, so lost clusters should
   be assigned to files. Otherwise the data in them might be
   overwritten later.
 - dosfsck: Don't drop a directory with lots of bad entries in
   auto-repair mode for the same reason as above.
 - dosfsck: avoid deleting the whole FAT32 root dir if something is
   wrong with it (bad start cluster or the like).
 - general: also create symlinks {mkfs,fsck}.vfat.8 to the respective
   real man pages.

%prep
%setup -q
%build
uname -a |grep -qi smp && {
  make -j -k OPTFLAGS="$RPM_OPT_FLAGS" PREFIX=/%{_prefix}
} || {
    make OPTFLAGS="$RPM_OPT_FLAGS" PREFIX=/%{_prefix}
}

%install
rm -rf $RPM_BUILD_ROOT
cp dosfsck/README README.fsck
cp mkdosfs/README README.mkdosfs
make install PREFIX="$RPM_BUILD_ROOT"
    cd $RPM_BUILD_ROOT/usr/man/man8/
    for i in $(find . -type 'l');do
	TO=$(/bin/ls -l $i|awk '{print $NF}')
	ln -sf $TO.bz2 $i.bz2
    done
   bzip2 -9f *.8

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`;do
    file $i|grep -q "not stripped" && strip $i
done
cd $RPM_BUILD_DIR

# Remove this link because for initscripts to don't have a fsck in a vfat
# -- Use dosfsck luke --
    cd $RPM_BUILD_ROOT/sbin
    rm -f fsck*

%files
%defattr(-,root,root)
%doc CHANGES TODO README.fsck README.mkdosfs dosfsck/COPYING
/sbin/*
/usr/man/man8/*.bz2

# end of file
